AM261x MCU+ SDK: ICSS_EMAC_CallBackObject Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
ICSS_EMAC_CallBackObject Struct Reference
APIs for Networking modules » APIs for ICSS-EMAC

## Detailed Description

Different callbacks which can be registered.
While calling the function set in ICSS_EMAC_CallBack, first argument is always of type ICSS_EMAC_Handle, second argument is specific to the callback (as mentioned in the member descriptions), and third argument is userArg as specified in ICSS_EMAC_CallBackConfig.

## Data Fields
ICSS_EMAC_CallBackConfig | port0LinkCallBack
ICSS_EMAC_CallBackConfig | port1LinkCallBack
ICSS_EMAC_CallBackConfig | rxNRTCallBack
ICSS_EMAC_CallBackConfig | rxRTCallBack
ICSS_EMAC_CallBackConfig | txCallBack
ICSS_EMAC_CallBackConfig | learningExCallBack
ICSS_EMAC_CallBackConfig | customTxCallBack
ICSS_EMAC_CallBackConfig | customRxCallBack

## Field Documentation

## ◆ port0LinkCallBack

ICSS_EMAC_CallBackConfig ICSS_EMAC_CallBackObject::port0LinkCallBack

Callback function for link change on Port 0. Second argument to callback is linkStatus

## ◆ port1LinkCallBack

ICSS_EMAC_CallBackConfig ICSS_EMAC_CallBackObject::port1LinkCallBack

Callback function for link change on Port 1. Second argument to callback is linkStatus

## ◆ rxNRTCallBack

ICSS_EMAC_CallBackConfig ICSS_EMAC_CallBackObject::rxNRTCallBack

Callback function for packets received with queueNumber >= ethPrioQueue (of ICSS_EMAC_Attrs). Second argument to callback is queueNumber.

## ◆ rxRTCallBack

ICSS_EMAC_CallBackConfig ICSS_EMAC_CallBackObject::rxRTCallBack

Callback function for packets received with queueNumber < ethPrioQueue (of ICSS_EMAC_Attrs). Second argument to callback is queueNumber.

## ◆ txCallBack

ICSS_EMAC_CallBackConfig ICSS_EMAC_CallBackObject::txCallBack

Callback function for packet Tx completion. Second argument is NULL

## ◆ learningExCallBack

ICSS_EMAC_CallBackConfig ICSS_EMAC_CallBackObject::learningExCallBack

Callback function for protocol specific exception adaptation in learning. Second argument is macId

## ◆ customTxCallBack

ICSS_EMAC_CallBackConfig ICSS_EMAC_CallBackObject::customTxCallBack

Custom Callback function for Tx. Second argument to callback is txArg

## ◆ customRxCallBack

ICSS_EMAC_CallBackConfig ICSS_EMAC_CallBackObject::customRxCallBack

Custom Callback function for packets received . Second argument to callback is rxArg.